## org.eclipse.datatools.sqltools.sqleditor.internal.sql
Interface ISQLCompletionEngine

All Known Implementing Classes:
  SQLCompletionEngine, SQLParserCompletionEngine

    public interface ISQLCompletionEngine

Compute proposals.

Author:
  Hetty Dougherty

Method Summary
`org.eclipse.jface.text.contentassist.IContextInformation[]` `computeContextInformation(org.eclipse.jface.text.IDocument doc, org.eclipse.jface.text.ITypedRegion partition, int documentOffset, org.eclipse.swt.graphics.Point selection)` Compute ContextInformation
`org.eclipse.jface.text.contentassist.ICompletionProposal[]` `computeProposals(org.eclipse.jface.text.IDocument doc, org.eclipse.jface.text.ITypedRegion partition, int documentOffset, org.eclipse.swt.graphics.Point selection)` Compute proposals

Method Detail

### computeProposals

    org.eclipse.jface.text.contentassist.ICompletionProposal[] computeProposals(org.eclipse.jface.text.IDocument doc,
                                                                                org.eclipse.jface.text.ITypedRegion partition,
                                                                                int documentOffset,
                                                                                org.eclipse.swt.graphics.Point selection)

  Compute proposals

  Parameters:
    `doc` - The document
    `partition` - document partition
    `documentOffset` - current offset in the document
    `selection` - the range of the current selection in coordinates of this viewer's document

### computeContextInformation

    org.eclipse.jface.text.contentassist.IContextInformation[] computeContextInformation(org.eclipse.jface.text.IDocument doc,
                                                                                         org.eclipse.jface.text.ITypedRegion partition,
                                                                                         int documentOffset,
                                                                                         org.eclipse.swt.graphics.Point selection)

  Compute ContextInformation

  Parameters:
    `doc` - The document
    `partition` - document partition
    `documentOffset` - current offset in the document
    `selection` - the range of the current selection in coordinates of this viewer's document